Leap0

Create a directory

Create a directory at the given path. Optionally create parent directories recursively.

POST
/v1/sandbox/{sandboxID}/filesystem/mkdir

Create a directory at the given path. Optionally create parent directories recursively.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Directory path to create.

recursive?boolean

Create parent directories as needed.

Defaultfalse
permissions?string

Octal permission string (e.g. 755). Defaults to 755.

Default"755"

Response Body

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/mkdir" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
Empty
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}